<template>
  <div>
    <div>
       <el-input  placeholder="输入设备编号" suffix-icon="el-icon-search" clearable v-model="devId" @change="getChange">
        </el-input>
    </div>
    <el-table :data="tableData" style="width: 100%">
      <el-table-column prop="devid" label="设备编号" align="center"></el-table-column>
      <el-table-column  label="光电检测信号"  align="center" prop="iswork"></el-table-column>
      <el-table-column prop="name" label="调度名称" align="center"> </el-table-column>
    </el-table>
  </div>
</template>
<script>
import { ref, defineComponent } from "vue";
export default defineComponent({
  data() {
    return {
      tableData: null,
      devId:"",
      iswork:""
    };
  },
  created() {
    this.getList()
  },
  methods: {
    getList() {
      let request={
        PLCDescroption:this.devId
      }
      this.http
        .post("/api/WCS/Getlocationwork",request, "正在查询缓存架信号")
        .then((x) => {
          this.tableData = x;
        });
    },
    getChange(){
      this.getList()
    }
  },
});
</script>
